%define oname   rvm

Name:       ruby-%{oname}
Version:    1.11.3.9
Release:    %mkrel 6
Summary:    RVM is the Ruby Version Manager (rvm)
License:    MIT
Group:      Development/Ruby
URL:        https://rvm.beginrescueend.com
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   autoconf
Requires:   byacc
Requires:   readline-devel
Requires:   tcl-devel
Requires:   tk-devel
Requires:   db5-devel
Requires:   libgdbm-devel
Requires:   openssl-devel
Requires:   zlib-devel
Requires:   gcc-c++
Requires:   git
Requires:   curl
Requires:   patch
Requires:   yaml-devel
Requires:   libxml2-devel
# For JRuby
Recommends:   java-1.6.0-sun
# For IronRuby
Recommends:   mono-devel
BuildArch:  noarch

%description
RVM is the Ruby Version Manager (rvm). It manages Ruby interpreter
environments and switching between them.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.11.3.9-6.mga10
+ Revision: 2211274
- Mageia 10 Mass Rebuild
+ danf <danf>
- Update links to https:

* Fri Mar 25 2022 umeabot <umeabot> 1.11.3.9-5.mga9
+ Revision: 1826970
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 neoclust <neoclust> 1.11.3.9-4.mga8
+ Revision: 1664481
- Build against db 5.3

* Wed Feb 12 2020 umeabot <umeabot> 1.11.3.9-3.mga8
+ Revision: 1507958
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.11.3.9-2.mga7
+ Revision: 1291227
- Mageia 7 Mass Rebuild

* Mon Apr 02 2018 pterjan <pterjan> 1.11.3.9-1.mga7
+ Revision: 1214739
- Update to 1.11.3.9

* Wed Feb 17 2016 umeabot <umeabot> 1.11.3.5-9.mga6
+ Revision: 964130
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11.3.5-8.mga5
+ Revision: 745854
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11.3.5-7.mga5
+ Revision: 688954
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Dec 28 2013 pterjan <pterjan> 1.11.3.5-6.mga4
+ Revision: 562489
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 1.11.3.5-5.mga4
+ Revision: 539095
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 1.11.3.5-4.mga4
+ Revision: 491380
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.11.3.5-3.mga3
+ Revision: 396446
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.11.3.5-2.mga3
+ Revision: 381440
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.11.3.5-1.mga3
+ Revision: 313900
- new version 1.11.3.5

* Mon Apr 18 2011 shikamaru <shikamaru> 1.6.3-1.mga1
+ Revision: 87855
- new version 1.6.3

* Tue Apr 12 2011 shikamaru <shikamaru> 1.5.2-1.mga1
+ Revision: 83995
- imported package ruby-rvm


* Tue Apr 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.5.2-1.mga1
- Initial package
